export default {
  title: 'Ad',

  componentProps: [
    {
      name: 'type',
      type: [
        `'cube'`,
        `'supercube'`,
        `'leaderboard'`,
      ],
      description: 'The type of ad to display',
      default: `'supercube'`,
    },
  ],

  cssProps: [
    {
      name: 'root',
      globalClass: 'PibAd-root',
      description: 'Styles applied to root element that will have an ad mounted in it',
    },
    {
      name: 'container',
      globalClass: 'PibAd-container',
      description: 'Styles applied to container div',
    },
    {
      name: 'disclaimer',
      globalClass: 'PibAd-disclaimer',
      description: 'Styles applied to "Advertisement" disclaimer text',
    },
  ],

  examples: [
    {
      code: `

<Ad />

`,
    },
    {
      name: 'Other Ad Types',
      description: 'By default the "supercube" type is used for ads. You can also use the "cube" and "leaderboard" designation. Sometimes supercubes come through as cubes. That\'s okay.',
      code: `
<div>
  <Ad type="cube"/>
  <hr />
  <Ad type="leaderboard"/>
</div>`,
    },
  ],
};
